default:
  image: node:lts
deploy_production:
  stage: deploy
  variables:
    VERCEL_PROJECT_ID: $VERCEL_PROJECT_ID_Main
  only:
    - main
  script:
    - npm install --global vercel
    - vercel pull --yes --environment=production --token=$VERCEL_TOKEN
    - vercel build --prod --token=$VERCEL_TOKEN
    - vercel deploy --prebuilt --prod --token=$VERCEL_TOKEN

deploy_test:
  stage: deploy
  variables:
    VERCEL_PROJECT_ID: prj_5nSvAzGc5a10pZ8YA5k2qKC6v0Z2
    VERCEL_TOKEN: amnIHzw7QqgbmzakUKQwfuRo
    VERCEL_ORG_ID: VwPwKIAjvWXWomobdBMbwAvs
  only:
    - test
  script:
    - npm install --global vercel
    - vercel pull --yes --environment=production --token=$VERCEL_TOKEN
    - vercel build --prod --token=$VERCEL_TOKEN
    - vercel deploy --prebuilt --prod --token=$VERCEL_TOKEN